-----
-----	Just a placeholder file I use for testing.
-----
local BLUE_GREEN_VALUE = 42/255
local colorCode = {}
local inCombat = false
local settingsUpdate = false

local lastTime = GetTime()
local frame = CreateFrame("Frame")
frame:SetSize(1,1)
frame:SetFrameStrata("TOOLTIP")
frame:SetPoint("TOPLEFT")
frame.texture = frame:CreateTexture("bg", "BACKGROUND", "ActionBarButtonTemplate")
frame.texture:SetAllPoints(frame)
frame.texture:SetTexture(0,0,0,1)
frame:Show()



local events = {}

function events:PLAYER_REGEN_ENABLED() 
	inCombat = false
	if settingsUpdate then
		WhatsNext:ApplyExtensionSettings()
	end
end

function events:PLAYER_REGEN_DISABLED() 
	inCombat = true
end

local eventHandler = CreateFrame("Frame", nil, WorldFrame)

eventHandler:SetScript("OnUpdate", function(self)
	local suggestion = WhatsNext.suggestions[1]
	if not suggestion then
		frame:Hide()
	elseif suggestion.type and suggestion.type ~= "spell" and suggestion.type ~= "item" and suggestion.type ~= "macro" then
		frame:Hide()
	elseif IsMounted() or GetCurrentKeyBoardFocus() or SpellIsTargeting() then
		frame:Hide()
	elseif UnitCastingInfo("player") or UnitChannelInfo("player") then
		frame:Hide()
	else
		frame:Show()
		frame.texture:SetTexture( colorCode[strupper(suggestion.type or "SPELL") .. " " .. suggestion.text] or nil, BLUE_GREEN_VALUE, BLUE_GREEN_VALUE, 1)
	end
end)

local function EventFunc(self, event, ...)
	events[event](event, ...)
end
local eventHandler = CreateFrame("Frame", nil, WorldFrame)
eventHandler:SetScript("OnEvent", EventFunc)
for eventname in pairs(events) do eventHandler:RegisterEvent(eventname) end	



function WhatsNext:ApplyExtensionSettings()
	if inCombat then
		settingsUpdate = true
		return
	end
	
	wipe(colorCode)
	local _ ,i,text,type,k1,k2 =  nil,65
	if self.castSequence then
		for _,block in ipairs(self.castSequence) do
			text, type = nil, strupper(block.type or "SPELL")
			if type == "SPELL" then	
				text = GetSpellInfo(block.spell)
			elseif type == "ITEM" then
				text = GetItemInfo(block.item)
			elseif type == "MACRO" then	
				text = GetMacroInfo(block.macro)
			end
			
			if text and type and not colorCode[text] then
				text = type .. " " .. text
				
				
				k1,k2 = GetBindingKey(text)
				if k1 and strsub(k1,1,15) == "ALT-CTRL-SHIFT-" then
					colorCode[text] = strbyte(k1,16)/255
				elseif k2 and strsub(k2,1,15) == "ALT-CTRL-SHIFT-" then
					colorCode[text] = strbyte(k2,16)/255
				else
					SetBinding("ALT-CTRL-SHIFT-"..string.char(i),text)
					colorCode[text] = i/255
					i = i + 1
				end
			end
		end
	end
end