local SPELL_MANGLE = "33878"
local SPELL_LACERATE = "33745"
local SPELL_SAVAGE_DEFENSE = "62606"
local SPELL_FRENZIED_REGENERATION = "22842"
local SPELL_BEAR_FORM = "5487"
local SPELL_SKULL_BASH = "106839"
local SPELL_FAERIE_FIRE = "770"
local SPELL_THRASH = "77758"
local SPELL_SWIPE = "779"
local SPELL_BERSERK = "106952"
local SPELL_MAUL = "6807"
local SPELL_ENRAGE = "5229"
local SPELL_MIGHT_OF_URSOC = "106922"

local BUFF_BLESSING_OF_KINGS = "20217"
local BUFF_MARK_OF_THE_WILD = "1126"
local BUFF_LEGACY_OF_THE_EMPEROR = "115921"
local BUFF_EMBRACE_OF_THE_SHALE_SPIDER = "90363"

local DEBUFF_WEAKENED_BLOWS = "115798"
local DEBUFF_WEAKENED_ARMOR = "113746"

WhatsNext.defaultCastSequences["DRUID"][3] = {
	{
		spell=SPELL_BEAR_FORM,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Form",["form"]=SPELL_BEAR_FORM,["invert"]=true,},
		}
	},{
		spell=SPELL_SKULL_BASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Is Interruptable",["invert"]=false,},
		}
	},{
		spell=SPELL_FAERIE_FIRE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=DEBUFF_WEAKENED_ARMOR,["count"]="3",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_THRASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=DEBUFF_WEAKENED_BLOWS,["count"]="1",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_FRENZIED_REGENERATION,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Health Percent",["invert"]=false,["amount"]="0.33",},
			{["type"]="Minimum Power",["invert"]=false,["amount"]="30",},
		}
	},{
		spell=SPELL_MIGHT_OF_URSOC,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Health Percent",["invert"]=false,["amount"]="0.2",},
		}
	},{
		spell=SPELL_LACERATE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=SPELL_LACERATE,["count"]="1",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_SAVAGE_DEFENSE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Tanking",["invert"]=false,},
			{["type"]="Taking Blockable Damage",["invert"]=false,["time"]="4",},
		}
	},{
		spell=SPELL_MANGLE,
		checks={
			{["type"]="Excess Power",["invert"]=true,["spellName"]=SPELL_MANGLE,},
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_BERSERK,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_MAUL,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Power",["invert"]=false,["amount"]="85",},
		}
	},{
		spell=SPELL_ENRAGE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Power",["invert"]=false,["amount"]="70",},
		}
	},{
		spell=SPELL_THRASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=SPELL_THRASH,["count"]="1",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_THRASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Enemy Count",["invert"]=false,["amount"]="4",},
		}
	},{
		spell=SPELL_SWIPE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Enemy Count",["invert"]=false,["amount"]="4",},
		}
	},{
		spell=SPELL_LACERATE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_THRASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_SWIPE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=BUFF_MARK_OF_THE_WILD,
		checks={
			{["type"]="Raid Buffed",["invert"]=true,["yards"]="60",["buffName"]=BUFF_MARK_OF_THE_WILD,},
			{["type"]="Raid Buffed",["invert"]=true,["yards"]="60",["buffName"]=BUFF_BLESSING_OF_KINGS,},
			{["type"]="Raid Buffed",["invert"]=true,["yards"]="60",["buffName"]=BUFF_LEGACY_OF_THE_EMPEROR,},
			{["type"]="Raid Buffed",["invert"]=true,["yards"]="60",["buffName"]=BUFF_EMBRACE_OF_THE_SHALE_SPIDER,},
		}
	},
}
